Bug 132602 - kernel: audit(1095227384.372:0): avc: denied
kernel: audit(1095227384.372:0): avc: denied
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Russell Coker
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 18:57 EDT by thewade
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-06 12:14:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thewade 2004-09-14 18:57:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040514

Description of problem:
I installed FC3T1 with httpd and php on an old pI 133. I can place
files and folders in /var/www/html except horde gives me denyed for no
reason: permissions are fine!

I read other closed bugs that say policy 1.9-15 fixes this, so I
installed policy-1.11.3-3.1.noarch.rpm. When I first rpm -U
policy-1.11.3-3.1.noarch.rpm I saw a little error, so I ran rpm -F
policy-1.11.3-3.1.noarch.rpm but I still get the errors described below.

/var/log/messages:
Sep 14 23:49:44 gateway kernel: audit(1095227384.372:0): avc:  denied
 { search } for  pid=1745 exe=/usr/sbin/httpd name=horde dev=hda5
ino=89761 scontext=user_u:system_r:httpd_t
tcontext=user_u:object_r:user_home_t tclass=dir
Sep 14 23:49:44 gateway kernel: audit(1095227384.376:0): avc:  denied
 { getattr } for  pid=1745 exe=/usr/sbin/httpd
path=/var/www/html/horde dev=hda5 ino=89761
scontext=user_u:system_r:httpd_t tcontext=user_u:object_r:user_home_t
tclass=dir

Version-Release number of selected component (if applicable):
policy-1.11.3-3.1

How reproducible:
Always

Steps to Reproduce:
1.install FC3T1
2.unzip horde and move to /var/www/html
3.point browser to http://mydomain.com/horde/test.php
4.watch denied screen on browser and errors spin out to /var/log/messages
    

Actual Results:  /var/log/messages:
Sep 14 23:49:44 gateway kernel: audit(1095227384.372:0): avc:  denied
 { search } for  pid=1745 exe=/usr/sbin/httpd name=horde dev=hda5
ino=89761 scontext=user_u:system_r:httpd_t
tcontext=user_u:object_r:user_home_t tclass=dir
Sep 14 23:49:44 gateway kernel: audit(1095227384.376:0): avc:  denied
 { getattr } for  pid=1745 exe=/usr/sbin/httpd
path=/var/www/html/horde dev=hda5 ino=89761
scontext=user_u:system_r:httpd_t tcontext=user_u:object_r:user_home_t
tclass=dir

Expected Results:  I should have seen the test horde test page.

Additional info:

Ive tried renaming the directory and moving the directory, to no
avail. I initially untar'd the hord archive to /home/me and then moved
it to /var/www/html. I can make files outsde of the horde folder and
things work fine. Once a file is inside the horde folder things go
bad. Its not a permissions thing; I have another webserver and another
hord that runs fine with the same permissions on EVERYTHING.
Comment 1 Daniel Walsh 2004-11-06 02:05:19 EST
Try 
restorecon -R /var/www/html/horde

Dan
Comment 2 thewade 2004-11-06 12:12:59 EST
Im sorry, but I gave up on FC3T1 for this machine long ago. Im 
running FC2 fine on this machine, and it has been up for over a month 
with no problems.
I will mark this bug closed.

Note You need to log in before you can comment on or make changes to this bug.